<script setup lang="ts">
import { ref, watch } from 'vue'
import { useTheme } from 'vuetify'

const isOpen = defineModel<boolean>('isOpen')
const isLightMode = ref(false)
const theme = useTheme()

function toggleTheme() {
  theme.global.name.value = theme.global.current.value.dark ? 'light' : 'dark'
}

watch(isLightMode, (newValue) => {
  if (newValue) {
    toggleTheme()
  } else {
    toggleTheme()
  }
})
</script>

<template>
  <v-navigation-drawer v-model="isOpen" location="end">
    <template #prepend>
      <v-row no-gutters class="pa-2">
        <v-col>
          <v-list-item class="">Settings</v-list-item>
        </v-col>
        <v-col cols="auto">
          <v-btn
            size="small"
            icon="mdi-arrow-expand-right"
            variant="plain"
            flat
            @click="isOpen = false"
          ></v-btn>
        </v-col>
      </v-row>
    </template>
    <v-divider></v-divider>
    <v-list>
      <v-list-item>
        <v-switch
          v-model="isLightMode"
          prepend-icon="mdi-weather-sunny"
          label="Light Mode"
        ></v-switch>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
